pcl::PosesFromMatches::PoseEstimate Struct Reference

A result of the pose estimation process. More...

`#include <pcl/common/poses_from_matches.h>`

## Classes

struct | IsBetter

## Public Attributes

Eigen::Affine3f | transformation = Eigen::Affine3f::Identity ()
| The estimated transformation between the two coordinate systems. More...
float | score = 0
| An estimate in [0,1], how good the estimated pose is. More...
Indices | correspondence_indices
| The indices of the used correspondences. More...

## Detailed Description

A result of the pose estimation process.

Definition at line 63 of file poses_from_matches.h.

## Member Data Documentation

## correspondence_indices

Indices pcl::PosesFromMatches::PoseEstimate::correspondence_indices

The indices of the used correspondences.

Definition at line 67 of file poses_from_matches.h.

## score

float pcl::PosesFromMatches::PoseEstimate::score = 0

An estimate in [0,1], how good the estimated pose is.

Definition at line 66 of file poses_from_matches.h.

Referenced by pcl::PosesFromMatches::PoseEstimate::IsBetter::operator()().

## transformation

Eigen::Affine3f pcl::PosesFromMatches::PoseEstimate::transformation = Eigen::Affine3f::Identity ()

The estimated transformation between the two coordinate systems.

Definition at line 65 of file poses_from_matches.h.

The documentation for this struct was generated from the following file:

- pcl/common/poses_from_matches.h